Simplified.ID API: v2

<back to all web services

GetAccountStatus

Account
The following routes are available for this service:
GET/account/statusGet account status

// @DataContract
export class Authentication
{
    /** @description The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User) */
    // @DataMember
    // @ApiMember(Description="The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)", IsRequired=true, ParameterType="header, body")
    public apiUserId: string;

    /** @description The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key) */
    // @DataMember
    // @ApiMember(Description="The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)", IsRequired=true, ParameterType="header, body")
    public apiUserKey: string;

    /** @description The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id). */
    // @DataMember
    // @ApiMember(Description="The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).", ParameterType="header, body")
    public userId: string;

    public constructor(init?: Partial<Authentication>) { (Object as any).assign(this, init); }
}

// @DataContract
export class BaseRequest implements IBaseRequest
{
    /** @description The authentication credentials */
    // @DataMember
    // @ApiMember(Description="The authentication credentials", IsRequired=true, ParameterType="header, body")
    public authentication: Authentication;

    public constructor(init?: Partial<BaseRequest>) { (Object as any).assign(this, init); }
}

// @DataContract
export class ResponseError
{
    // @DataMember(Order=1)
    public errorCode: string;

    // @DataMember(Order=2)
    public fieldName: string;

    // @DataMember(Order=3)
    public message: string;

    // @DataMember(Order=4)
    public meta: { [index:string]: string; };

    public constructor(init?: Partial<ResponseError>) { (Object as any).assign(this, init); }
}

export class ArrayOfResponseError extends Array<ResponseError>
{

    public constructor(init?: Partial<ArrayOfResponseError>) { super(); (Object as any).assign(this, init); }
}

// @DataContract
export class ResponseStatus
{
    // @DataMember(Order=1)
    public errorCode: string;

    // @DataMember(Order=2)
    public message: string;

    // @DataMember(Order=3)
    public stackTrace: string;

    // @DataMember(Order=4)
    public errors: ArrayOfResponseError;

    // @DataMember(Order=5)
    public meta: { [index:string]: string; };

    public constructor(init?: Partial<ResponseStatus>) { (Object as any).assign(this, init); }
}

export class BaseResponse implements IBaseDataResponse, IHasResponseStatus
{
    /** @description The status of the response */
    // @ApiMember(Description="The status of the response")
    public responseStatus: ResponseStatus;

    public constructor(init?: Partial<BaseResponse>) { (Object as any).assign(this, init); }
}

export class AccountStatus
{
    /** @description The account status (e.g. Unpaid, Active, Expired) */
    // @ApiMember(Description="The account status (e.g. Unpaid, Active, Expired)")
    public status: string;

    /** @description The account type (e.g. live, developer, demo) */
    // @ApiMember(Description="The account type (e.g. live, developer, demo)")
    public type: string;

    /** @description The account Expiry Date */
    // @ApiMember(Description="The account Expiry Date")
    public expiryDate?: string;

    /** @description The account Expiry Date as a string in ISO 8601 format */
    // @ApiMember(Description="The account Expiry Date as a string in ISO 8601 format")
    public expiryDateUniversal: string;

    /** @description The account balance */
    // @ApiMember(Description="The account balance")
    public balance: number;

    /** @description The account search credit balance */
    // @ApiMember(Description="The account search credit balance")
    public creditBalance: number;

    /** @description The account DBS credit balance */
    // @ApiMember(Description="The account DBS credit balance")
    public dbsBasicCreditBalance: number;

    /** @description The list of enabled products for this account */
    // @ApiMember(Description="The list of enabled products for this account")
    public products: string[];

    /** @description The list of enabled capabilities for this account */
    // @ApiMember(Description="The list of enabled capabilities for this account")
    public capabilities: string[];

    public constructor(init?: Partial<AccountStatus>) { (Object as any).assign(this, init); }
}

export class GetAccountStatusData extends BaseResponse
{
    /** @description The account status information */
    // @ApiMember(Description="The account status information")
    public accountStatus: AccountStatus;

    public constructor(init?: Partial<GetAccountStatusData>) { super(init); (Object as any).assign(this, init); }
}

// @DataContract
export class GetAccountStatusResponse
{
    /** @description The response data */
    // @DataMember
    // @ApiMember(Description="The response data")
    public data: GetAccountStatusData;

    public constructor(init?: Partial<GetAccountStatusResponse>) { (Object as any).assign(this, init); }
}

// @DataContract
export class GetAccountStatus extends BaseRequest
{

    public constructor(init?: Partial<GetAccountStatus>) { super(init); (Object as any).assign(this, init); }
}

TypeScript GetAccountStatus DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /account/status HTTP/1.1 
Host: api.simplified.id 
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"data":{"accountStatus":{"status":"String","type":"String","expiryDate":"\/Date(-62135596800000-0000)\/","expiryDateUniversal":"String","balance":0,"creditBalance":0,"dbsBasicCreditBalance":0,"products":["String"],"capabilities":["String"]},"responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}}